"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path = require("path");
const fs_1 = require("./utils/fs");
function default_1(ctx) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const details = extractDetails(ctx);
        if (!details || details.engine !== 'cordova' || !details.platform) {
            return;
        }
        const platformWWW = path.resolve(ctx.project.dir, 'platforms', details.platform, 'platform_www');
        if (ctx.project.type === 'angular') {
            const p = path.resolve(ctx.project.dir, '.angular-cli.json');
            const j = JSON.parse(yield fs_1.readFile(p));
            const app = j.apps[0];
            app.assets = app.assets.filter((a) => a.input !== platformWWW);
            yield fs_1.writeFile(p, JSON.stringify(j, undefined, 2) + '\n');
        }
        const indexPath = path.resolve(ctx.project.srcDir, 'index.html');
        const origIndexPath = path.resolve(ctx.project.srcDir, 'index.html.orig');
        yield fs_1.writeFile(indexPath, yield fs_1.readFile(origIndexPath));
        yield fs_1.unlink(origIndexPath);
    });
}
exports.default = default_1;
function extractDetails(ctx) {
    if (ctx.name !== 'build:after' && ctx.name !== 'serve:after') {
        return;
    }
    return ctx.name === 'serve:after' ? ctx.serve : ctx.build;
}
